<?xml version="1.0" encoding="UTF-8"?>
<!--Pre-filled metadata record as an example for ELG-compliant services
Use case: ELG-compliant Automatic Speech Recognition service
More information: https://european-language-grid.readthedocs.io/en/release1.0.0/all/RegisterFunc.html -->
<ms:MetadataRecord xsi:schemaLocation="http://w3id.org/meta-share/meta-share/ ../Schema/ELG-SHARE.xsd" xmlns:ms="http://w3id.org/meta-share/meta-share/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<ms:MetadataRecordIdentifier ms:MetadataRecordIdentifierScheme="http://w3id.org/meta-share/meta-share/elg">value automatically assigned - leave as is</ms:MetadataRecordIdentifier>
	<ms:metadataCreationDate>2020-01-07</ms:metadataCreationDate>
	<ms:metadataLastDateUpdated>2020-01-07</ms:metadataLastDateUpdated>
	<!-- the metadataCurator is the person responsible for editing/updating the metadata record in the ELG system and maybe different from metadata creator (for metadata records harvested from other repos, there will be no metadata creator) -->
	<ms:metadataCurator>
		<ms:actorType>Person</ms:actorType>
		<ms:surname xml:lang="en">Smith</ms:surname>
		<ms:givenName xml:lang="en">John</ms:givenName>
		<!-- please add an identifier (preferrably ORCID in the format below) and/or email -->
		<ms:PersonalIdentifier ms:PersonalIdentifierScheme="http://purl.org/spar/datacite/orcid">0000-0000-0000-0000</ms:PersonalIdentifier>
		<ms:email>smith@example.com</ms:email>
	</ms:metadataCurator>
	<ms:compliesWith>http://w3id.org/meta-share/meta-share/ELG-SHARE</ms:compliesWith>
	<ms:metadataCreator>
		<ms:actorType>Person</ms:actorType>
		<ms:surname xml:lang="en">Smith</ms:surname>
		<ms:givenName xml:lang="en">John</ms:givenName>
		<!-- please add an identifier (preferrably ORCID in the format below) and/or email -->
		<ms:PersonalIdentifier ms:PersonalIdentifierScheme="http://purl.org/spar/datacite/orcid">0000-0000-0000-0000</ms:PersonalIdentifier>
		<ms:email>smith@example.com</ms:email>
	</ms:metadataCreator>
	<ms:DescribedEntity>
<ms:LanguageResource>
	<ms:entityType>LanguageResource</ms:entityType>
	<!-- please try to use "unique" names for the resource, rather than a general title such as "tagger for English" -->
	<ms:resourceName xml:lang="en">Full title of the tool/service</ms:resourceName>
	<ms:resourceShortName xml:lang="en">Short name used for the tool/service</ms:resourceShortName>
	<ms:description xml:lang="en">Short description of the tool/service for human readers</ms:description>
	<!-- the LRIdentifier is a multiple element; if you already have an identifier (e.g. handle PID, ISLRN, DOI, please add with the appropriate LRIdentifierScheme value -->
	<ms:LRIdentifier ms:LRIdentifierScheme="http://w3id.org/meta-share/meta-share/elg">value automatically assigned</ms:LRIdentifier>
	<!-- if you have a version number, replace; otherwise, leave as is -->
	<ms:version>v1.0.0 (automatically assigned)</ms:version>
	<!-- additionalInfo can be either a general email address or a landing page (a web page with general information, including contact details; if you want, you can also provide a contact person details) -->
	<ms:additionalInfo>
		<ms:email>info@example.com</ms:email>
		<!--ms:landingPage>http://www.example.com</ms:landingPage> -->
	</ms:additionalInfo>
	<!-- RECOMMENDED element; use it only if you want, but PROVIDE an email for the person in this case -->
	<ms:contact>
	<ms:Person>
		<ms:actorType>Person</ms:actorType>
		<ms:surname xml:lang="en">Smith</ms:surname>
		<ms:givenName xml:lang="en">John</ms:givenName>
		<!-- please add an identifier (preferrably ORCID in the format below) and/or email -->
		<ms:PersonalIdentifier ms:PersonalIdentifierScheme="http://purl.org/spar/datacite/orcid">0000-0000-0000-0000</ms:PersonalIdentifier>
		<ms:email>smith@example.com</ms:email>
	</ms:Person>
	</ms:contact>
	<!-- mutliple element; please repeat for different keywords-->
	<ms:keyword xml:lang="en">automatic speech recognition</ms:keyword>
	<ms:keyword xml:lang="en">another keyword</ms:keyword>
	<!-- details for the organization that adds this resource in ELG -->
	<ms:resourceProvider>
		<ms:Organization>
			<ms:actorType>Organization</ms:actorType>
			<ms:organizationName xml:lang="en">Full name of the organization</ms:organizationName>
			<ms:website>http://www.example.com</ms:website>
		</ms:Organization>
	</ms:resourceProvider>
	<!-- RECOMMENDED element for citation purposes; the date the resource was first made available to the public and not just in ELG -->
	<ms:publicationDate>2020-01-09</ms:publicationDate>
	<!-- RECOMMENDED element; it can be one or more persons (repeat the element) or an organization  -->
	<ms:resourceCreator>
		<ms:Person>
		<ms:actorType>Person</ms:actorType>
		<ms:surname xml:lang="en">Smith</ms:surname>
		<ms:givenName xml:lang="en">John</ms:givenName>
		<!-- please add an identifier (preferrably ORCID in the format below) and/or email -->
		<ms:PersonalIdentifier ms:PersonalIdentifierScheme="http://purl.org/spar/datacite/orcid">0000-0000-0000-0000</ms:PersonalIdentifier>
		<ms:email>smith@example.com</ms:email>
		</ms:Person>
	</ms:resourceCreator>
	<ms:intendedApplication>
	<!-- you can use one of the values from the LT taxonomy (recommended practice) or a free text value (you can also add the URL link to a class from another ontology) -->
				<ms:LTClassRecommended>http://w3id.org/meta-share/omtd-share/SpeechRecognition</ms:LTClassRecommended>
	</ms:intendedApplication>
	<!-- a link to a document, e.g. a user manual, a research article describing the resource, etc.; please provide a DOI or URL link-->
	<ms:isDocumentedBy>
		<ms:title xml:lang="en">free text for a document, e.g. title, full bibliographic record</ms:title>
		<ms:DocumentIdentifier ms:DocumentIdentifierScheme="http://purl.org/spar/datacite/doi">https://doi.org/10.1371/journal.pone.0077056</ms:DocumentIdentifier>
	</ms:isDocumentedBy>
	<ms:LRSubclass>
		<ms:ToolService>
			<ms:lrType>ToolService</ms:lrType>
	<!-- you can use one of the values from the LT taxonomy (recommended practice) or a free text value (you can also add the URL link to a class from another ontology); it's a multiple element and you can repeat if you want to add more specific functions -->
			<ms:function>
				<ms:LTClassRecommended>http://w3id.org/meta-share/omtd-share/SpeechRecognition</ms:LTClassRecommended>
			</ms:function>
	<!-- default set for services provided according to ELG specifications: 
			softwareDistributionImage is a docker image,
			dockerDownloadLocation is the URL where the docker image can be downloaded from, e.g. registry.gitlab.com/european-language-grid/expertsystem/cogito-discover:4.0
			executionLocation the REST endpoint used to invoke the service,
			dowloadLocationServiceAdapter (optional) is the URL where the docker image of the service adapter can be downloaded from  registry.gitlab.com/european-language-grid/expertsystem/cogito-discover-pos-adapter:test-0.2-->
			<ms:SoftwareDistribution>
				<ms:SoftwareDistributionForm>http://w3id.org/meta-share/meta-share/dockerImage</ms:SoftwareDistributionForm>
				<ms:executionLocation>http://localhost:8080/asr/process/</ms:executionLocation>
				<ms:dockerDownloadLocation>registry.gitlab.com/EXAMPLE</ms:dockerDownloadLocation>
				<ms:serviceAdapterDownloadLocation>registry.gitlab.com/ADAPTER</ms:serviceAdapterDownloadLocation>
	<!-- licenceTerms is a MANDATORY element; for standard licences, please use one of the values from SPDX (see also https://docs.google.com/spreadsheets/d/1dGw2x1uTpv-pivLAb_mB3fCz6r9GvbpD-JO2SVAXtZ8/edit#gid=0); 
		 if you have your own licence, please use a unique name for each licence at licenceTermsName (e.g. serviceName ToS or organization ToS) and also a url with the text for the licence -->
				<ms:licenceTerms>
					<ms:licenceTermsName xml:lang="en">licence or ToS name</ms:licenceTermsName>
					<ms:licenceTermsURL>http://www.licenceExample.com</ms:licenceTermsURL>
				</ms:licenceTerms>
			</ms:SoftwareDistribution>
			<ms:languageDependent>true</ms:languageDependent>
			<!-- the only MANDATORY element is processingResourceType which encodes whether a tool/service (not the ELG test GUI) takes as input a file, corpus (set of files), etc.; you can also specify language(s) that can be processed by the tool/service; data formats, character encoding --> 
			<ms:inputContentResource>
				<ms:processingResourceType>http://w3id.org/meta-share/meta-share/file1</ms:processingResourceType>
					<!-- the languageTag combines the codes from languageId, scriptId, regionId and variantId accoding to the BCP-47 guidelines (RFC 5646); in the XSD there is no validation as to the validity of the tag, but the system validates the input metadata and the editor produces the correct id on the basis of the subelements (language, script, region and variant); ONLY languageTag and languageId are mandatory; the codes are taken from ISO 639-1 (two-letter codes) and, if not covered, from ISO 639-3; you can find the language codes at https://iso639-3.sil.org/code_tables/639/data  -->
				<ms:language>
					<ms:languageTag>en-US</ms:languageTag>
					<ms:languageId>en</ms:languageId>
					<!-- ms:scriptId></ms:scriptId -->
					<ms:regionId>US</ms:regionId>
					<!--ms:variantId></ms:variantId-->
				</ms:language>
				<ms:mediaType>http://w3id.org/meta-share/meta-share/audio</ms:mediaType>
				<ms:dataFormat>http://w3id.org/meta-share/omtd-share/wav</ms:dataFormat>
			</ms:inputContentResource>
			<!-- the only mandatory element is processingResourceType which encodes whether a tool/service (not the ELG test GUI) produces as output a file, corpus (set of files), etc.; for IE tools, please specify in the annotationType(s) that the tool/serivce annotates/extracts; the value can be taken from the omtd-share ontology (recommended practice) or a free text value; you can also specify the output data formats, character encoding --> 
			<ms:outputResource>
				<ms:processingResourceType>http://w3id.org/meta-share/meta-share/file1</ms:processingResourceType>
					<!-- the languageTag combines the codes from languageId, scriptId, regionId and variantId accoding to the BCP-47 guidelines (RFC 5646); in the XSD there is no validation as to the validity of the tag, but the system validates the input metadata and the editor produces the correct id on the basis of the subelements (language, script, region and variant); ONLY languageTag and languageId are mandatory; the codes are taken from ISO 639-1 (two-letter codes) and, if not covered, from ISO 639-3; you can find the language codes at https://iso639-3.sil.org/code_tables/639/data  -->
				<ms:language>
					<ms:languageTag>en-US</ms:languageTag>
					<ms:languageId>en</ms:languageId>
					<!-- ms:scriptId></ms:scriptId -->
					<ms:regionId>US</ms:regionId>
					<!--ms:variantId></ms:variantId-->
				</ms:language>
				<ms:mediaType>http://w3id.org/meta-share/meta-share/text</ms:mediaType>
				<ms:dataFormat>http://w3id.org/meta-share/omtd-share/Json</ms:dataFormat>
				<ms:characterEncoding>http://w3id.org/meta-share/meta-share/UTF-8</ms:characterEncoding>
			</ms:outputResource>
			<!-- RECOMMENDED element; see https://ec.europa.eu/research/participants/data/ref/h2020/wp/2014_2015/annexes/h2020-wp1415-annex-g-trl_en.pdf for explanations -->
			<ms:trl>http://w3id.org/meta-share/meta-share/trl3</ms:trl>
			<ms:evaluated>false</ms:evaluated>
		</ms:ToolService>
	</ms:LRSubclass>
</ms:LanguageResource>
	</ms:DescribedEntity>
</ms:MetadataRecord>
